Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class DefaultGroovyPagesUriService

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport
          org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService

All Implemented Interfaces:
  GroovyPagesUriService

    public class DefaultGroovyPagesUriService

extends GroovyPagesUriSupport
implements GroovyPagesUriService

Provides services for resolving URIs caches lookups in an internal ConcurrentHashMap cache

Author:
  Lari Hotari , Sagire Software Oy

Field Summary
`(package private) ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.ControllerObjectKey,String>` | `controllerNameCache`
`(package private) ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String>` | `deployedViewURICache`
`(package private) ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String>` | `noSuffixViewURICache`
`(package private) ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String>` | `templateURICache`

Fields inherited from class org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport
`PATH_TO_VIEWS`

Fields inherited from interface org.codehaus.groovy.grails.web.pages.GroovyPagesUriService
`BEAN_ID`

Constructor Summary
`DefaultGroovyPagesUriService()`

Method Summary
`void` | `clear()`
`String` | `getDeployedViewURI(String controllerName, String viewName)` Obtains a view URI when deployed within the /WEB-INF/grails-app/views context
`String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
`String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, String viewName)` Obtains a view URI of the given controller and view name without the suffix
`String` | `getNoSuffixViewURI(String controllerName, String viewName)` Obtains a view URI of the given controller name and view name without the suffix
`String` | `getTemplateURI(groovy.lang.GroovyObject controller, String templateName)` Obtains a template URI for the given controller instance and template name
`String` | `getTemplateURI(String controllerName, String templateName)` Obtains the URI to a template using the controller name and template name

Methods inherited from class org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport
`getViewURI, getViewURI, getViewURIInternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### templateURICache

    ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String> templateURICache

### deployedViewURICache

    ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String> deployedViewURICache

### controllerNameCache

    ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.ControllerObjectKey,String> controllerNameCache

### noSuffixViewURICache

    ConcurrentHashMap<org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService.TupleStringKey,String> noSuffixViewURICache

Constructor Detail

### DefaultGroovyPagesUriService

    public DefaultGroovyPagesUriService()

Method Detail

### getTemplateURI

    public String getTemplateURI(String controllerName,
                                 String templateName)

  Description copied from class: `GroovyPagesUriSupport`
  Obtains the URI to a template using the controller name and template name

  Specified by:
    `getTemplateURI` in interface `GroovyPagesUriService`
  Overrides:
    `getTemplateURI` in class `GroovyPagesUriSupport`
  Parameters:
    `controllerName` - The controller name
    `templateName` - The template name
  Returns:
    The template URI

### getDeployedViewURI

    public String getDeployedViewURI(String controllerName,
                                     String viewName)

  Description copied from class: `GroovyPagesUriSupport`
  Obtains a view URI when deployed within the /WEB-INF/grails-app/views context

  Specified by:
    `getDeployedViewURI` in interface `GroovyPagesUriService`
  Overrides:
    `getDeployedViewURI` in class `GroovyPagesUriSupport`
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getLogicalControllerName

    public String getLogicalControllerName(groovy.lang.GroovyObject controller)

  Overrides:
    `getLogicalControllerName` in class `GroovyPagesUriSupport`

### getNoSuffixViewURI

    public String getNoSuffixViewURI(groovy.lang.GroovyObject controller,
                                     String viewName)

  Description copied from class: `GroovyPagesUriSupport`
  Obtains a view URI of the given controller and view name without the suffix

  Specified by:
    `getNoSuffixViewURI` in interface `GroovyPagesUriService`
  Overrides:
    `getNoSuffixViewURI` in class `GroovyPagesUriSupport`
  Parameters:
    `controller` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getNoSuffixViewURI

    public String getNoSuffixViewURI(String controllerName,
                                     String viewName)

  Description copied from class: `GroovyPagesUriSupport`
  Obtains a view URI of the given controller name and view name without the suffix

  Specified by:
    `getNoSuffixViewURI` in interface `GroovyPagesUriService`
  Overrides:
    `getNoSuffixViewURI` in class `GroovyPagesUriSupport`
  Parameters:
    `controllerName` - The name of the controller
    `viewName` - The name of the view
  Returns:
    The view URI

### getTemplateURI

    public String getTemplateURI(groovy.lang.GroovyObject controller,
                                 String templateName)

  Description copied from class: `GroovyPagesUriSupport`
  Obtains a template URI for the given controller instance and template name

  Specified by:
    `getTemplateURI` in interface `GroovyPagesUriService`
  Overrides:
    `getTemplateURI` in class `GroovyPagesUriSupport`
  Parameters:
    `controller` - The controller instance
    `templateName` - The template name
  Returns:
    The template URI

### clear

    public void clear()

  Specified by:
    `clear` in interface `GroovyPagesUriService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD